Intermittent dom/svg/test/test_fragments.html | Test timed out.

RESOLVED FIXED in Firefox 60

Status

()

Core
SVG
RESOLVED FIXED
2 years ago
4 months ago

People

(Reporter: Treeherder Bug Filer, Assigned: dholbert)

Tracking

({intermittent-failure})

unspecified
mozilla61
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox60 fixed, firefox61 fixed)

Details

(Whiteboard: [stockwell fixed:other])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment, 1 obsolete attachment)

Status: NEW → RESOLVED
Last Resolved: a year ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 1

11 months ago
1 failures in 939 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1335266&startday=2017-08-28&endday=2017-09-03&tree=all
Fail reappeared on autoland 

Log: https://treeherder.mozilla.org/logviewer.html#?job_id=164969669&repo=autoland&lineNumber=4344
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 3

5 months ago
12 failures in 831 pushes (0.014 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* try: 2

Platform breakdown:
* windows7-32: 3
* linux64: 3
* linux32: 2
* windows7-32-nightly: 1
* windows10-64: 1
* osx-10-10: 1
* linux64-qr: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1335266&startday=2018-02-26&endday=2018-03-04&tree=all

Comment 4

4 months ago
22 failures in 747 pushes (0.029 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 9
* mozilla-inbound: 5
* mozilla-central: 5
* try: 3

Platform breakdown:
* linux64: 10
* linux32: 5
* windows7-32: 3
* linux64-nightly: 3
* windows7-32-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1335266&startday=2018-03-05&endday=2018-03-11&tree=all
In the last 7 days, there have been 30 failures.

The failures are on Linux, Linux x64, Windows 7 and a few on windows10-64, linux64-qr, linux64-nightly platforms.
Affected build types: debug, opt, pgo.

An example of a recent log file:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=167771068&lineNumber=4314

And the relevant part of the log:
20:23:53     INFO -  1056 INFO TEST-START | dom/svg/test/test_fragments.html
20:29:20     INFO -  TEST-INFO | started process screenshot
20:29:20     INFO -  TEST-INFO | screenshot: exit 0
20:29:20    ERROR -  1057 INFO TEST-UNEXPECTED-FAIL | dom/svg/test/test_fragments.html | Test timed out.
20:29:20     INFO -      reportError@SimpleTest/TestRunner.js:121:7
20:29:20     INFO -      TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      setTimeout handler*TestRunner._checkForHangs@SimpleTest/TestRunner.js:163:5
20:29:20     INFO -      TestRunner.runTests@SimpleTest/TestRunner.js:380:5
20:29:20     INFO -      RunSet.runtests@SimpleTest/setup.js:194:3
20:29:20     INFO -      RunSet.runall@SimpleTest/setup.js:173:5
20:29:20     INFO -      hookupTests@SimpleTest/setup.js:266:5
20:29:20     INFO -  parseTestManifest@http://mochi.test:8888/manifestLibrary.js:36:5
20:29:20     INFO -  getTestManifest/req.onload@http://mochi.test:8888/manifestLibrary.js:49:11
20:29:20     INFO -  EventHandlerNonNull*getTestManifest@http://mochi.test:8888/manifestLibrary.js:45:3
20:29:20     INFO -      hookup@SimpleTest/setup.js:246:5
20:29:20     INFO -  EventHandlerNonNull*@http://mochi.test:8888/tests?autorun=1&closeWhenDone=1&consoleLevel=INFO&manifestFile=tests.json&dumpOutputDirectory=c%3A%5Cusers%5Cgenericworker%5Cappdata%5Clocal%5Ctemp&cleanupCrashes=true:11:1

:jet As you are the triage owner of this component, could you please take a look at this?
Thank you!
Flags: needinfo?(bugs)
Whiteboard: [stockwell needswork]

Comment 6

4 months ago
39 failures in 814 pushes (0.048 failures/push) were associated with this bug in the last 7 days. 

This is the #35 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 20
* mozilla-inbound: 9
* mozilla-central: 7
* try: 2
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 14
* linux64: 10
* linux32: 9
* linux64-qr: 4
* windows10-64: 1
* linux32-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1335266&startday=2018-03-12&endday=2018-03-18&tree=all

Comment 7

4 months ago
Robert: can you tell why this test is hanging on us? Thx!
Flags: needinfo?(bugs) → needinfo?(longsonr)
Created attachment 8960734 [details] [diff] [review]
patch

Maybe it just takes a long time, it tests lots of cases.
Flags: needinfo?(longsonr)
Attachment #8960734 - Flags: review?(dholbert)
(Assignee)

Comment 9

4 months ago
Comment on attachment 8960734 [details] [diff] [review]
patch

Review of attachment 8960734 [details] [diff] [review]:
-----------------------------------------------------------------

Hmm, I'm not confident that's the answer.

I picked one of the platforms with a failure (test-linux64/opt-mochitest-e10s-3) and I looked at a recent non-failing (green) log from that platform. I found this:
> TEST-OK | dom/svg/test/test_fragments.html | took 174ms
https://treeherder.mozilla.org/logviewer.html#?job_id=169453531&repo=mozilla-central&lineNumber=4434

That duration (174ms) seems pretty fast, and several orders of magnitude away from 300 seconds (which IIRC is the timeout that requestLongerTimeout would be doubling here).

So unfortunately I don't think this would help.
Attachment #8960734 - Flags: review?(dholbert) → review-
(Assignee)

Comment 10

4 months ago
Looks like the test has this:
> <iframe id="svg" src="fragments-helper.svg"></iframe>
> [...]
> <script class="testbody" type="application/javascript">
> [...]
> $(svg).addEventListener("load", runTests);

I wonder if maybe the <iframe> is loading faster than we expect -- specifically, maybe it's firing its load event *before* we get to parsing/running the <script> block? (before we get a chance to register the load handler)  So then runTests would never execute, and we'd never call SimpleTest.finish().

If that's the problem, I expect we could fix this bug by leaving the iframe's src attribute empty, and then setting it after we've set up the load handler (so that its load is more directly guaranteed to trigger the load handler). Let's give that a shot. I'll post a patch in a minute...
Comment hidden (mozreview-request)

Comment 12

4 months ago
mozreview-review
Comment on attachment 8961049 [details]
Bug 1335266: In test_fragments.html, don't set iframe src attribute until *after* we've set up its load handler.

https://reviewboard.mozilla.org/r/229796/#review235592
Attachment #8961049 - Flags: review?(longsonr) → review+
(Assignee)

Comment 13

4 months ago
Thanks! I tested this locally and the test still passes, so I went ahead and triggered autoland. We'll see if it helps, I guess.

Comment 14

4 months ago
Pushed by dholbert@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/f2cb8bff5402
In test_fragments.html, don't set iframe src attribute until *after* we've set up its load handler. r=longsonr
(Assignee)

Updated

4 months ago
Attachment #8960734 - Attachment is obsolete: true

Comment 15

4 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/f2cb8bff5402
Status: REOPENED → RESOLVED
Last Resolved: a year ago4 months ago
status-firefox61: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla61
Assignee: nobody → dholbert
status-firefox60: --- → affected
Keywords: bulk-close-intermittents

Comment 16

4 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/e655623f6ea9
status-firefox60: affected → fixed
Flags: in-testsuite+

Comment 17

4 months ago
20 failures in 822 pushes (0.024 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 10
* mozilla-inbound: 4
* try: 3
* mozilla-beta: 2
* mozilla-central: 1

Platform breakdown:
* linux32: 5
* windows7-32: 4
* windows10-64: 4
* linux64: 4
* linux32-nightly: 2
* windows7-32-nightly: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1335266&startday=2018-03-20&endday=2018-03-26&tree=trunk
Whiteboard: [stockwell needswork] → [stockwell fixed:other]
You need to log in before you can comment on or make changes to this bug.